# The Red Matrix: photo_gd Class Reference

All Classes Namespaces Files Functions Variables Pages
photo_gd Class Reference
Inheritance diagram for photo_gd:

## Public Member Functions

| supportedTypes ()
| load ($data, $type)
| setDimensions ()
| destroy ()
| getImage ()
| doScaleImage ($dest_width, $dest_height)
| rotate ($degrees)
| flip ($horiz=true, $vert=false)
| cropImage ($max, $x, $y, $w, $h)
| imageString ()
Public Member Functions inherited from photo_driver
| supportedTypes ()
| load ($data, $type)
| destroy ()
| setDimensions ()
| getImage ()
| doScaleImage ($new_width, $new_height)
| rotate ($degrees)
| flip ($horiz=true, $vert=false)
| cropImage ($max, $x, $y, $w, $h)
| imageString ()
| __construct ($data, $type='')
| __destruct ()
| is_valid ()
| getWidth ()
| getHeight ()
| saveImage ($path)
| getType ()
| getExt ()
| scaleImage ($max)
| scaleImageUp ($min)
| scaleImageSquare ($dim)
| orient ($filename)
| save ($arr)
| store ($aid, $uid, $xchan, $rid, $filename, $album, $scale, $profile=0, $allow_cid= '', $allow_gid= '', $deny_cid= '', $deny_gid= '')

## Additional Inherited Members

Protected Attributes inherited from photo_driver
| $image
| $width
| $height
| $valid
| $type
| $types

## Member Function Documentation

photo_gd::cropImage | ( |  | $max,
|  |  | $x,
|  |  | $y,
|  |  | $w,
|  |  | $h
| ) |  |

photo_gd::destroy | ( |  | ) |

photo_gd::doScaleImage | ( |  | $dest_width,
|  |  | $dest_height
| ) |  |

photo_gd::flip | ( |  | $horiz = `true`,
|  |  | $vert = `false`
| ) |  |

photo_gd::getImage | ( |  | ) |

photo_gd::imageString | ( |  | ) |

photo_gd::load | ( |  | $data,
|  |  | $type
| ) |  |

photo_gd::rotate | ( |  | $degrees | ) |

photo_gd::setDimensions | ( |  | ) |

Referenced by cropImage(), doScaleImage(), flip(), load(), and rotate().

photo_gd::supportedTypes | ( |  | ) |

The documentation for this class was generated from the following file:

- include/photo/photo_gd.php